Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 4493)
+++ palm/trunk/SOURCE/Makefile	(revision 4495)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# added routines and dependencies for restart data with MPI-IO
+# 
+# 4493 2020-04-10 09:49:43Z pavelkrc
 # cpu measures in advec_ws added
 #
@@ -255,4 +258,5 @@
 	poismg_noopt_mod.f90 \
 	posix_calls_from_fortran.f90 \
+	posix_interface_mod.f90 \
 	pres.f90 \
 	print_1d.f90 \
@@ -264,4 +268,5 @@
 	random_generator_parallel_mod.f90 \
 	read_restart_data_mod.f90 \
+	restart_data_mpi_io_mod.f90 \
 	run_control.f90 \
 	salsa_mod.f90 \
@@ -385,5 +390,6 @@
 	netcdf_data_input_mod.o \
 	palm_date_time_mod.o \
-	radiation_model_mod.o
+	radiation_model_mod.o \
+	restart_data_mpi_io_mod.o
 bulk_cloud_model_mod.o: \
 	basic_constants_and_equations_mod.o \
@@ -397,4 +403,5 @@
 	mod_kinds.o \
 	modules.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 buoyancy.o: \
@@ -596,6 +603,6 @@
 	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
-        surface_mod.o \
-        pmc_interface_mod.o \
+	surface_mod.o \
+	pmc_interface_mod.o \
 	modules.o
 exchange_horiz_mod.o: \
@@ -735,4 +742,5 @@
 	random_function_mod.o \
 	random_generator_parallel_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 land_surface_model_mod.o: \
@@ -866,4 +874,5 @@
 	modules.o \
 	pmc_interface_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 outflow_turbulence.o: \
@@ -885,4 +894,5 @@
 	pmc_interface_mod.o \
 	pmc_particle_interface.o \
+	restart_data_mpi_io_mod.o \
 	salsa_mod.o \
 	surface_layer_fluxes_mod.o \
@@ -912,4 +922,5 @@
 	modules.o \
 	netcdf_data_input_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 pmc_particle_interface.o: \
@@ -969,4 +980,6 @@
 posix_calls_from_fortran.o: \
 
+posix_interface_mod.o: \
+	mod_kinds.o
 pres.o: \
 	cpulog_mod.o \
@@ -1029,4 +1042,5 @@
 	palm_date_time_mod.o \
 	plant_canopy_model_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 random_function_mod.o: \
@@ -1038,13 +1052,17 @@
 random_generator_parallel_mod.o: \
 	mod_kinds.o \
-	modules.o
+	modules.o \
+	posix_interface_mod.o
 read_restart_data_mod.o: \
+	bulk_cloud_model_mod.o \
 	chem_modules.o \
 	cpulog_mod.o \
 	diagnostic_output_quantities_mod.o \
+	gust_mod.o \
 	mod_kinds.o \
 	model_1d_mod.o \
 	module_interface.o \
 	modules.o \
+	mod_particle_attributes.o \
 	netcdf_interface_mod.o \
 	palm_date_time_mod.o \
@@ -1052,8 +1070,15 @@
 	random_function_mod.o\
 	random_generator_parallel_mod.o \
+	restart_data_mpi_io_mod.o \
 	spectra_mod.o \
 	surface_mod.o \
+	user_module.o \
 	vertical_nesting_mod.o \
 	virtual_measurement_mod.o
+restart_data_mpi_io_mod.o: \
+	modules.o \
+	mod_kinds.o \
+	exchange_horiz_mod.o \
+	posix_interface_mod.o
 run_control.o: \
 	cpulog_mod.o \
@@ -1121,5 +1146,6 @@
 	model_1d_mod.o \
 	mod_kinds.o \
-	modules.o
+	modules.o \
+	restart_data_mpi_io_mod.o
 surface_data_output_mod.o: \
 	mod_kinds.o \
@@ -1127,4 +1153,5 @@
 	netcdf_data_input_mod.o \
 	netcdf_interface_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 synthetic_turbulence_generator_mod.o: \
@@ -1137,4 +1164,5 @@
 	pmc_interface_mod.o \
 	random_generator_parallel_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 temperton_fft_mod.o: \
@@ -1242,4 +1270,5 @@
 	palm_date_time_mod.o \
 	radiation_model_mod.o \
+	restart_data_mpi_io_mod.o \
 	surface_mod.o
 user_data_output_mask.o: \
@@ -1320,4 +1349,5 @@
 	modules.o \
 	netcdf_interface_mod.o \
+	restart_data_mpi_io_mod.o \
 	user_flight.o \
 	user_init_flight.o
@@ -1342,12 +1372,16 @@
 	netcdf_data_input_mod.o \
 	mod_kinds.o \
-	modules.o
+	modules.o \
+	restart_data_mpi_io_mod.o
 wrd_write_string.o: \
 	mod_kinds.o
 write_restart_data_mod.o: \
+	bulk_cloud_model_mod.o \
+	gust_mod.o \
 	mod_kinds.o \
 	model_1d_mod.o \
 	module_interface.o \
 	modules.o \
+	mod_particle_attributes.o \
 	netcdf_interface_mod.o \
 	palm_date_time_mod.o \
@@ -1355,6 +1389,8 @@
 	random_function_mod.o \
 	random_generator_parallel_mod.o \
+	restart_data_mpi_io_mod.o \
 	spectra_mod.o \
 	surface_mod.o \
+	user_module.o \
 	vertical_nesting_mod.o \
 	virtual_measurement_mod.o
